ExoToolbarsEditorDialog
3
EXO Library

# ExoToolbarsEditorDialog

Dialog to edit toolbars

## Synopsis

    #include <exo/exo.h>

                        ExoToolbarsEditorDialog;
    GtkWidget*          exo_toolbars_editor_dialog_new_with_model
                                                            (GtkUIManager *ui_manager,
                                                             ExoToolbarsModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----ExoToolbarsEditorDialog

## Implemented Interfaces

ExoToolbarsEditorDialog implements AtkImplementorIface and GtkBuildable.

## Description

Provides an easy-to-use wrapper for the ExoToolbarsEditor widget.

## Details

### ExoToolbarsEditorDialog

    typedef struct _ExoToolbarsEditorDialog ExoToolbarsEditorDialog;

The ExoToolbarsEditorDialog struct contains only private fields and should not be directly accessed.

### exo_toolbars_editor_dialog_new_with_model ()

    GtkWidget*          exo_toolbars_editor_dialog_new_with_model
                                                            (GtkUIManager *ui_manager,
                                                             ExoToolbarsModel *model);

Creates a new ExoToolbarsEditorDialog that is associated with `ui_manager` and `model`.

`ui_manager` :

  A GtkUIManager.

`model` :

  An ExoToolbarsModel.

Returns :

  A new ExoToolbarsEditorDialog.

## See Also

ExoToolbarsEditor